jQuery(document).ready(function ($) {

   $(window).on("load scroll", function () {
      if (document.body.scrollTop > 20 || document.documentElement.scrollTop > 20) {
         $(".back-to-top").show();
      } else {
         $(".back-to-top").hide();
      }
      $('html').attr('style', 'scroll-behavior: smooth');
   });

   function scroll(obj) {
      if (obj.scrollTop() > 0) {
         $('body').addClass("scroll");
      } else {
         $('body').removeClass("scroll");
      }

      i = obj.scrollTop();
      $('#page-mod-resource-view #page-header').css('top', 70 - i + 'px');
   }

   $(window).on("scroll", function () {
      scroll($(this))
   });

   $('#resourceobject').on("load", function () {
      $(this).contents().on("scroll", function () {
         scroll($(this));
      });
   });


   // remove setas na barra de navegação de atividades

   var prevText = $('.activity-navigation #prev-activity-link').text().replace('◄ ', '');
   $('#prev-activity-link').text(prevText);

   var nextText = $('#next-activity-link').text().replace(' ►', '');
   $('#next-activity-link').text(nextText);

   // Adiciona link para início na migalha e no menu
   var inicio = `<li class="breadcrumb-item">
                    <a href="https://ead.vanzolini.org.br/course/view.php?id=16">Início</a>
                </li>`;
   $('.breadcrumb').prepend(inicio);

   var listItem = `<li>
			<a class="list-group-item list-group-item-action  " href="https://ead.vanzolini.org.br/course/view.php?id=16" data-key="inicio" data-isexpandable="0" data-indent="0" data-showdivider="0" data-type="90" data-nodetype="1" data-collapse="0" data-forceopen="0" data-isactive="0" data-hidden="0" data-preceedwithhr="0" data-parent-key="16">
				<div class="ml-0">
					<div class="media">
							<span class="media-left">
								<i class="icon fa fa-users fa-fw " aria-hidden="true"></i>
							</span>
						<span class="media-body ">Início</span>
					</div>
				</div>
			</a>
		</li>`;
   $('#nav-drawer > .list-group:first-child > ul').prepend(listItem);

   // altera link do logo
   $('.navbar-brand').attr('href', 'https://vanzolini.org.br/');

   // remove links do menu
   $('[data-key="home"]').remove();
   $('[data-key="calendar"]').remove();

   // adiciona quebra de linha nos títulos dos cursos
   $('.coursename').each(function () {
      $(this).html($(this).text().replace(' - ', '<br>'));
   });

});
